org.gnome.gtk

## Interface TreeView.SelectAll

- Enclosing class:
    TreeView

      public static interface TreeView.SelectAll

  This signal is emitted when the user selects all the rows in the TreeView. This usually occurs, when the user presses the `Ctrl+A` key combination.

  This signal is particularly useful, when you wish to be able to offer the user an option to do some manipulation on the data, when all data is selected. For instance, upon selecting all the rows of the TreeView, in say, an email client, where each row represents an email, an option to mark all emails as read can be made to pop up.

  This signal should also be used with much care. The "Principle of Least Surprise" is rather easy to violate by misusing this signal.

  Author:
    Srichand Pendyala

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onSelectAll(TreeView source)`

- - ### Method Detail

    - #### onSelectAll

          boolean onSelectAll(TreeView source)